org.apache.cassandra.db

## Interface RowIndexEntry.IndexSerializer<T>

- All Known Implementing Classes:
    RowIndexEntry.Serializer
  Enclosing class:
    RowIndexEntry<T>

      public static interface RowIndexEntry.IndexSerializer<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowIndexEntry<T>` | `deserialize(java.io.DataInput in, Version version)`
    `void` | `serialize(RowIndexEntry<T> rie, DataOutputPlus out)`
    `int` | `serializedSize(RowIndexEntry<T> rie)`

- - ### Method Detail

    - #### serialize

          void serialize(RowIndexEntry<T> rie,
                         DataOutputPlus out)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          RowIndexEntry<T> deserialize(java.io.DataInput in,
                                       Version version)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          int serializedSize(RowIndexEntry<T> rie)

Copyright © 2018 The Apache Software Foundation